cascading.flow.tez.planner

## Class Hadoop2TezFlowStepJob

- java.lang.Object
- - cascading.flow.planner.FlowStepJob<org.apache.tez.dag.api.TezConfiguration>
  - - cascading.flow.tez.planner.Hadoop2TezFlowStepJob

All Implemented Interfaces:
  java.util.concurrent.Callable<java.lang.Throwable>

    public class Hadoop2TezFlowStepJob
    extends FlowStepJob<org.apache.tez.dag.api.TezConfiguration>

### Field Summary

### Fields inherited from class cascading.flow.planner.FlowStepJob

`blockForCompletedChildDetailDuration, flowStep, flowStepStats, jobConfiguration, pollingInterval, predecessors, statsStoreInterval, stepName, throwable`

### Constructor Summary

Constructors
Constructor and Description
`Hadoop2TezFlowStepJob(ClientState clientState, BaseFlowStep<org.apache.tez.dag.api.TezConfiguration> flowStep, org.apache.tez.dag.api.TezConfiguration currentConf, org.apache.tez.dag.api.DAG dag)`

### Method Summary

Methods
`protected FlowStepStats` `createStepStats(ClientState clientState)`
`protected void` `dumpDebugInfo()`
`static long` `getJobPollingInterval(org.apache.hadoop.conf.Configuration configuration)`
`protected java.lang.Throwable` `getThrowable()`
`protected void` `internalBlockOnStop()`
`protected void` `internalCleanup()`
`protected boolean` `internalIsStartedRunning()`
`protected java.lang.String` `internalJobId()`
`protected boolean` `internalNonBlockingIsComplete()`
`protected boolean` `internalNonBlockingIsSuccessful()`
`protected void` `internalNonBlockingStart()`
`protected boolean` `isRemoteExecution()`
`protected void` `updateNodeStatus(FlowNodeStats flowNodeStats)`

### Methods inherited from class cascading.flow.planner.FlowStepJob

`blockOnJob, blockOnPredecessors, blockTillCompleteOrStopped, call, finalizeNodeSliceCapture, getConfig, getStepStats, isCallableStarted, isSkipFlowStep, isStarted, isSuccessful, setPredecessors, sleepForPollingInterval, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hadoop2TezFlowStepJob

    public Hadoop2TezFlowStepJob(ClientState clientState,
                         BaseFlowStep<org.apache.tez.dag.api.TezConfiguration> flowStep,
                         org.apache.tez.dag.api.TezConfiguration currentConf,
                         org.apache.tez.dag.api.DAG dag)

### Method Detail

#### getJobPollingInterval

    public static long getJobPollingInterval(org.apache.hadoop.conf.Configuration configuration)

#### createStepStats

    protected FlowStepStats createStepStats(ClientState clientState)

Specified by:
  `createStepStats` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalNonBlockingStart

    protected void internalNonBlockingStart()
                                     throws java.io.IOException

Specified by:
  `internalNonBlockingStart` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`
Throws:
  `java.io.IOException`

#### updateNodeStatus

    protected void updateNodeStatus(FlowNodeStats flowNodeStats)

Specified by:
  `updateNodeStatus` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalBlockOnStop

    protected void internalBlockOnStop()
                                throws java.io.IOException

Specified by:
  `internalBlockOnStop` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`
Throws:
  `java.io.IOException`

#### internalCleanup

    protected void internalCleanup()

Overrides:
  `internalCleanup` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalNonBlockingIsSuccessful

    protected boolean internalNonBlockingIsSuccessful()
                                               throws java.io.IOException

Specified by:
  `internalNonBlockingIsSuccessful` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`
Throws:
  `java.io.IOException`

#### isRemoteExecution

    protected boolean isRemoteExecution()

Specified by:
  `isRemoteExecution` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### getThrowable

    protected java.lang.Throwable getThrowable()

Specified by:
  `getThrowable` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalJobId

    protected java.lang.String internalJobId()

Specified by:
  `internalJobId` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalNonBlockingIsComplete

    protected boolean internalNonBlockingIsComplete()
                                             throws java.io.IOException

Specified by:
  `internalNonBlockingIsComplete` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`
Throws:
  `java.io.IOException`

#### dumpDebugInfo

    protected void dumpDebugInfo()

Specified by:
  `dumpDebugInfo` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`

#### internalIsStartedRunning

    protected boolean internalIsStartedRunning()

Specified by:
  `internalIsStartedRunning` in class `FlowStepJob<org.apache.tez.dag.api.TezConfiguration>`